<ion-header class="list">
  <ion-navbar class="list2">

    <ion-title text-center>
      <ion-grid>
        <ion-row text-center>

          <ion-col text-center>
            {{title}}

          </ion-col>

          <ion-col col-auto>
            <ion-icon name="close" md="md-close" (click)="change_screen()" text-right></ion-icon>
          </ion-col>
        </ion-row>

        <ion-row text-center>
          <ion-col text-center>
            ({{dates[0]}} | {{dates[1]}})
          </ion-col>
        </ion-row>
      </ion-grid>

    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="content_general">
  <br>
<div *ngIf="!showError">
  <ion-item>
    <ion-grid>
      <ion-row>

        <ion-col text-center>
          {{freeSeat}} <br>
          <img src="./assets/img/seat_disponivel.png" class="img_seats" />
        </ion-col>

        <ion-col text-center>
          {{preferentialSeat}} <br>
          <img src="./assets/img/seat_especial.png" class="img_seats" />
        </ion-col>

      </ion-row>
    </ion-grid>
  </ion-item>

  <ion-item>
    <ion-grid>
      <ion-row>
        <ion-col col-auto text-left>

              {{driverSeat}} <br>

              <img src="./assets/img/seat.png" class="img_seats" />

        </ion-col>
      </ion-row>

      <div *ngFor="let seat of seats; let i = index">
        <ion-row *ngIf=" i % 4 === 0 " class="card-seats-row-col" >
          <ion-col col-auto class="card-seats-row-col" text-center (click)="seat_selected(seat)">


                {{seat.get_nome()}} <br>

                <img *ngIf="seat.get_preferencial() " src="./assets/img/seat_especial.png" class="img_seats" />
                <img *ngIf="seat.get_preferencial() != true " src="./assets/img/seat_disponivel.png" class="img_seats" />


          </ion-col>

          <ion-col col-auto class="card-seats-row-col" text-center (click)="seat_selected(seats[i+1])">

                {{seats[i+1].get_nome()}} <br>

                <img *ngIf="seats[i+1].get_preferencial() " src="./assets/img/seat_especial.png" class="img_seats" />
                <img *ngIf="seats[i+1].get_preferencial() != true " src="./assets/img/seat_disponivel.png" class="img_seats" />

          </ion-col>
          <ion-col class="card-seats-row-col">
          </ion-col>
          <ion-col col-auto class="card-seats-row-col" text-center (click)="seat_selected(seats[i+2])">

                {{seats[i+2].get_nome()}} <br>

                <img *ngIf="seats[i+2].get_preferencial()" src="./assets/img/seat_especial.png" class="img_seats" />
                <img *ngIf="seats[i+2].get_preferencial() != true " src="./assets/img/seat_disponivel.png" class="img_seats" />

          </ion-col>

          <ion-col col-auto class="card-seats-row-col" text-center (click)="seat_selected(seats[i+3])">

                {{seats[i+3].get_nome()}} <br>

                <img *ngIf="seats[i+3].get_preferencial()" src="./assets/img/seat_especial.png" class="img_seats" />
                <img *ngIf="seats[i+3].get_preferencial() != true " src="./assets/img/seat_disponivel.png" class="img_seats" />
          </ion-col>
        </ion-row>
      </div>
    </ion-grid>
  </ion-item>


</div>

<div *ngIf="showError">
  <ion-list inset>
    <ion-list-header text-center class="list-title">
      {{erroTitle}}
    </ion-list-header>
    <ion-item *ngFor="let erro of error ; let i  = index">
      <ion-row>
        <ion-col col-auto>
          {{erro.date}}
        </ion-col>
        <ion-col text-right>
          <button ion-button round color="danger" (click)="change_seat(i,erro)"> {{textbuttonChangeSeat}} </button>
        </ion-col>
      </ion-row>
    </ion-item>
  </ion-list>
</div>
</ion-content>
